WinShopAPI docs

Create a repricing document

Creates a repricing document and returns it. With `processImmediately=true` the new prices are applied as part of this call; otherwise the document is stored and takes effect on its valid-from date. Requires `Permissions.Product.View`.

POST
/api/products/repricing

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Query Parameters

processImmediately?|
Defaultfalse

Request Body

application/json
  1. body
commissionStockIntakeInternalNumber?|
Formatint32
dateOfCreation?|
Formatdate-time
endDate?|
Formatdate-time
id?|
Formatint32
internalNumber?|
Formatint32
isApplied?boolean|null
isApproved?boolean|null
isEnded?boolean|null
items*array<>
startDate?|
Formatdate-time
stockIntakeInternalNumber?|
Formatint32
userId?|
Formatint32

Response Body

application/json
  1. response
commissionStockIntakeInternalNumber?|
Formatint32
dateOfCreation?|
Formatdate-time
endDate?|
Formatdate-time
id?|
Formatint32
internalNumber?|
Formatint32
isApplied?boolean|null
isApproved?boolean|null
isEnded?boolean|null
items*array<>
startDate?|
Formatdate-time
stockIntakeInternalNumber?|
Formatint32
userId?|
Formatint32
curl -X POST 'https://<your-instance>/api/products/repricing' \  -H 'Authorization: Bearer <access-token>' \  -H 'Content-Type: application/json' \  -d '{  "items": [    {}  ]}'
{  "commissionStockIntakeInternalNumber": 0,  "dateOfCreation": "2019-08-24T14:15:22Z",  "endDate": "2019-08-24T14:15:22Z",  "id": 0,  "internalNumber": 0,  "isApplied": true,  "isApproved": true,  "isEnded": true,  "items": [    {      "batchId": 0,      "colorId": 0,      "dateOfAccountingPosting": "2019-08-24T14:15:22Z",      "dateOfCreation": "2019-08-24T14:15:22Z",      "dateOfTransfer": "2019-08-24T14:15:22Z",      "dimensionId": 0,      "documentInternalNumber": 0,      "documentType": "string",      "id": 0,      "internalNumber": 0,      "item": 0,      "lengthId": 0,      "newPrice": 0,      "newPriceWoVat": 0,      "originalPrice": 0,      "originalPriceWoVat": 0,      "priceId": 0,      "productId": 0,      "quantity": 0,      "setPrice": 0,      "sizeId": 0,      "stockPrice": 0,      "userId": 0,      "variantId": 0,      "vatRate": 0    }  ],  "startDate": "2019-08-24T14:15:22Z",  "stockIntakeInternalNumber": 0,  "userId": 0}